<!DOCTYPE html >
<ui:composition template="/laytou_base.xhtml"
	xmlns="http://www.w3.org/1999/xhtml"
	xmlns:h="http://xmlns.jcp.org/jsf/html"
	xmlns:ui="http://xmlns.jcp.org/jsf/facelets"
	xmlns:jsf="http://xmlns.jcp.org/jsf"
	xmlns:pt="http://xmlns.jcp.org/jsf/passthrough"
	xmlns:f="http://xmlns.jcp.org/jsf/core"
	xmlns:o="http://omnifaces.org/ui">

	<f:metadata>
		<o:viewParam name="id" value="#{usuarioBean.usuario}" />
	</f:metadata>

	<ui:define name="page_title">
		Usuário - Perfil
	</ui:define>
	<ui:define name="content">
		<div class="row">			
			<div class="col-lg-12 col-md-12">
				<h:messages id="messages" showSummary="true" showDetail="true"/>
				<div class="card">
					<div class="card-header">
						<h4 class="card-title">Editar Perfil de Usuário</h4>
					</div>
					<div class="card-content">
						<h:form>
							<div class="row">
								<div class="col-md-6">
									<div class="form-group">
										<label>Nome Completo</label>
										<h:inputText value="#{usuarioBean.usuario.nome}" styleClass="form-control border-input" />										
									</div>
								</div>
								<div class="col-md-6">
									<div class="form-group">
										<label>Endereço de E-mail</label>
										<h:inputText value="#{usuarioBean.usuario.email}" styleClass="form-control border-input" />
									</div>
								</div>
							</div>
							<div class="row">
								<div class="col-md-5">
									<div class="form-group">
										<label>Telefone (Celular)</label>
										<h:inputText value="#{usuarioBean.usuario.telefone}" styleClass="form-control border-input" />
									</div>
								</div>
								<div class="col-md-3">
									<div class="form-group">
										<label>Senha</label>
										<h:inputSecret value="#{usuarioBean.usuario.senha}" styleClass="form-control border-input" />
									</div>
								</div>
								<div class="col-md-4">
									<div class="form-group">
										<label for="exampleInputEmail1">Confirmar Senha</label>
										<h:inputSecret value="#{usuarioBean.usuario.senha}" styleClass="form-control border-input" />
									</div>
								</div>
							</div>
							<div class="row">
								<div class="col-md-5">
									<div class="form-group">
										<label>CPF (Para acesso ao Portal NFC)</label>
										<h:inputText value="#{usuarioBean.usuario.loginNFCe}" styleClass="form-control border-input" />
									</div>
								</div>
								<div class="col-md-3">
									<div class="form-group">
										<label>Senha (Portal NFC)</label>
										<h:inputSecret value="#{usuarioBean.usuario.senhaNFCe}" styleClass="form-control border-input" />
									</div>
								</div>
								<div class="col-md-4">
									<div class="form-group">
										<label>Confirmar Senha (Portal NFC)</label>
										<h:inputSecret value="#{usuarioBean.usuario.senhaNFCe}" styleClass="form-control border-input" />
									</div>
								</div>
							</div>							
							<div class="text-center">
								<h:commandButton action="#{usuarioBean.atualizarPerfil()}" value="Atualizar Perfil" styleClass="btn btn-info btn-fill btn-wd" />
							</div>
							<div class="clearfix"></div>
						</h:form>
					</div>
				</div>
			</div>
		</div>
	</ui:define>
</ui:composition>